﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HengshanPaymentTerminal.Mqtt.Request
{
    /// <summary>
    /// 云端 Mqtt 发送授权请求数据对象
    /// </summary>
    public class MqttAuthorizationRequest
    {
        /// <summary>
        /// 枪号
        /// </summary>
        public int NozzleNum { get; set; }

        /// <summary>
        /// 授权时间
        /// </summary>
        public DateTime AuthorizationTime { get; set; }

        /// <summary>
        /// 定量类型 01：定金额；02：定升数
        /// </summary>
        public int AuthorizationType { get; set; }

        /// <summary>
        /// 定量值
        /// </summary>
        public decimal Value { get; set; }
    }

    public class MqttUnAhorizationRequest
    {
        /// <summary>
        /// 枪号
        /// </summary>
        public int NozzleNum { get; set; }

        /// <summary>
        /// 授权时间
        /// </summary>
        public DateTime AuthorizationTime { get; set; }

        /// <summary>
        /// 交易流水号
        /// </summary>
        public int Ttc {  get; set; }

    }
}
